library strings_adjacent_snippet;

import 'package:unittest/unittest.dart';

String _str1, _str2, _str3;

run() {
  group("[string adjacent]", (){
    setUp((){
      _str1 =
      'foo' + ' ' + 'bar'; // 'foo bar'

      _str2 =
      /* ------------------------- */
      'foo' ' ' 'bar'; // 'foo bar'
      /* ------------------------1 */

      _str3 =
      /* ------------------------- */
      'foo'
      ' '
      'bar'; // 'foo bar'
      /* ------------------------2 */
    });

    test('adjacent strings plussed are concatenated', (){
      expect(_str1, equals("foo bar"));
    });

    test('adjacent strings are concatenated', (){
      expect(_str2, equals("foo bar"));
    });

    test('adjacent concatenation works on separate lines', (){
      expect(_str3, equals("foo bar"));
    });
  });
}
